Dot net 1.1 in Dot net 2.0

Dot net 1.1 in Dot net 2.0

Post by Nishant » Sat, 29 Dec 2007 20:14:54


I have a code that is compiled and runs in VS 2003, which i believe
runs 1.1 frameworks,

I want to know if we can do any of the following

1. I want to compile the code in 1.1 framework but run on 2.0
framework in the same machine, as I believe it is not possible to
configure VS 2003 to run and compile the code on 2.0 framework.

2. if the above the scenario is not possible will I be able to run the
1.1 code in a system that has got only 2.0 framework installed.
 
 
 

Dot net 1.1 in Dot net 2.0

Post by Mattias Sj » Sat, 29 Dec 2007 20:40:20

>1. I want to compile the code in 1.1 framework but run on 2.0

You can specify in the application configuration file that you
application works with the 2.0 runtime. Then that will be used if
installed.


Mattias

--
Mattias Sjren [C# MVP] mattias @ mvps.org
http://www.yqcomputer.com/ | http://www.yqcomputer.com/
Please reply only to the newsgroup.

 
 
 

Dot net 1.1 in Dot net 2.0

Post by Michael Ne » Sat, 29 Dec 2007 22:04:47

Hello Nishanth,

use <requiredRuntime> tag of app.config
but sometimes it doesnt help and FW 1.1 is required even u point 2.0 version

---
WBR,
Michael Nemtsev [.NET/C# MVP] :: blog: http://www.yqcomputer.com/

"The greatest danger for most of us is not that our aim is too high and we
miss it, but that it is too low and we reach it" (c) Michelangelo


N> I have a code that is compiled and runs in VS 2003, which i believe
N> runs 1.1 frameworks,
N>
N> I want to know if we can do any of the following
N>
N> 1. I want to compile the code in 1.1 framework but run on 2.0
N> framework in the same machine, as I believe it is not possible to
N> configure VS 2003 to run and compile the code on 2.0 framework.
N>
N> 2. if the above the scenario is not possible will I be able to run
N> the 1.1 code in a system that has got only 2.0 framework installed.
N>